プロジェクト

全般

プロフィール

バグ #967

mikutter3.5.0にてmikutter-plugin-tabを入れていると起動途中で落ちる

neeko tomamay7ヶ月前に追加. 7ヶ月前に更新.

ステータス:
終了
優先度:
通常
担当者:
-
対象バージョン:
開始日:
2017-01-10
期日:
進捗率:

0%

プラグイン名:
mikutter-plugin-tab
再現手順:

説明

mikutter3.5.0にてmikutter-plugin-tabを入れていると起動途中で落ちます
mikutter-plugin-tabを削除して、mikutterを再起動すれば問題ありませんでした。

Retriever::InvalidTypeError it is required value[nil, :int, true]
in nil of id {MIKUTTER_DIR}/core/lib/retriever/model.rb:379:in `block in validate' {MIKUTTER_DIR}/core/lib/retriever/model.rb:377:in `each' {MIKUTTER_DIR}/core/lib/retriever/model.rb:377:in `validate' {MIKUTTER_DIR}/core/lib/retriever/model.rb:275:in `initialize' {MIKUTTER_DIR}/core/message.rb:93:in `initialize'
/home/neeko/.mikutter/plugin/mikutter-plugin-tab/mikutter-plugin-tab.rb:35:in `new'
/home/neeko/.mikutter/plugin/mikutter-plugin-tab/mikutter-plugin-tab.rb:35:in `block (3 levels) in <top (required)>'
/home/neeko/.mikutter/plugin/mikutter-plugin-tab/mikutter-plugin-tab.rb:24:in `each'
/home/neeko/.mikutter/plugin/mikutter-plugin-tab/mikutter-plugin-tab.rb:24:in `block (2 levels) in <top (required)>'
/usr/lib/ruby/vendor_ruby/delayer/procedure.rb:24:in `run'
/usr/lib/ruby/vendor_ruby/delayer/extend.rb:58:in `run_once'
/usr/lib/ruby/vendor_ruby/delayer/extend.rb:30:in `run'
/usr/lib/ruby/vendor_ruby/delayer.rb:43:in `method_missing' {MIKUTTER_DIR}/core/plugin/gtk/delayer.rb:10:in `block in boot' {MIKUTTER_DIR}/core/plugin/gtk/mainloop.rb:10:in `main' {MIKUTTER_DIR}/core/plugin/gtk/mainloop.rb:10:in `mainloop' {MIKUTTER_DIR}/mikutter.rb:66:in `boot!' {MIKUTTER_DIR}/mikutter.rb:95:in `<main>'

履歴

#1 toshi_a 初音7ヶ月前に更新

  • ステータス新規 から 終了 に変更

https://github.com/moguno/mikutter-plugin-tab

これですね。プラグインの存在を知りませんでしたが、mikutterの非公開なAPIを使っていて、3.5でそこのインターフェイスが変わったことが原因のようです。

  1. 上記Githubプロジェクト上でこの問題を改めて報告してもらって
  2. どういう対応をすべきかを精査して
  3. mikutter側にバグや仕様の不備があればそれをこのRedmineに改めて報告してほしいです。

今の所mikutter側が対応できることはないので、このチケットは閉じておきます。

他の形式にエクスポート: Atom PDF